## simple-revision-control 1.21

=== Makefile ===
#
# makefile for src
#

prefix?=/usr/local
mandir?=/share/man
target=$(DESTDIR)$(prefix)

VERS=$(shell ./src version | sed -n -e "/src: /s///p")

SOURCES = README INSTALL COPYING NEWS TODO src srctest src.asc FAQ.asc Makefile control

all: src.1

check: pylint
	make pylint
	./srctest -b rcs -p python2
	./srctest -b sccs -p python2
	./srctest -b rcs -p python3
	./srctest -b sccs -p python3

.SUFFIXES: .html .asc .txt .1

# Requires asciidoc and xsltproc/docbook stylesheets.
.asc.1:
	a2x --doctype manpage --format manpage $<
.asc.html:
	a2x --doctype manpage --format xhtml -D . $<
	rm -f docbook-xsl.css

FAQ.html: FAQ.asc
	asciidoc -a toc FAQ.asc

clean:
	rm -f  *~ *.1 *.html *.tar.gz MANIFEST
	rm -fr .rs* typescript test/typescript

src-$(VERS).tar.gz: $(SOURCES) src.1
	@ls $(SOURCES) src.1 | sed s:^:src-$(VERS)/: >MANIFEST
	@(cd ..; ln -s src src-$(VERS))
	(cd ..; tar -czf src/src-$(VERS).tar.gz `cat src/MANIFEST`)
	@(cd ..; rm src-$(VERS))

COMMON_PYLINT = --rcfile=/dev/null --reports=n \
	--msg-template="{path}:{line}: [{msg_id}({symbol}), {obj}] {msg}" \
	--dummy-variables-rgx='^_'
PYLINTOPTS = "C0103,C0123,C0301,C0302,C0325,C0326,C0330,C0410,C1001,C0111,R0101,R0902,R0903,R0904,R0201,R0912,R0913,R0914,R0915,R1705,W0110,W0141,W0142,W0232,W0311,W0312,W0603,W0511,W0613,E1101,E1103"
pylint:
	@pylint $(COMMON_PYLINT) --disable=$(PYLINTOPTS) src

version:
	@echo $(VERS)

dist: src-$(VERS).tar.gz

release: src-$(VERS).tar.gz src.html FAQ.html
	shipper version=$(VERS) | sh -e -x

refresh: src.html FAQ.html
	shipper -N -w version=$(VERS) | sh -e -x

install: all
	install -d "$(target)/bin"
	install -d "$(target)$(mandir)/man1"
	install src "$(target)/bin"
	install -m644 src.1 "$(target)$(mandir)/man1"

## simple-revision-control 1.20

=== debian/changelog ===
simple-revision-control (1.20-1) unstable; urgency=medium

  * Initial release (Closes: #881896)

 -- Dmitry Bogatov <KAction@debian.org>  Tue, 13 Nov 2018 07:19:59 +0000

=== debian/control ===
Source: simple-revision-control
Section: vcs
Priority: optional
Maintainer: Dmitry Bogatov <KAction@debian.org>
Build-Depends: debhelper-compat (= 11),
 asciidoc,
 xsltproc,
 docbook-xml
Standards-Version: 4.2.1
Homepage: https://gitlab.com/esr/src
Vcs-Browser: https://salsa.debian.org/debian/src
Vcs-Git: https://salsa.debian.org/debian/src.git

Package: simple-revision-control
Architecture: any
Depends: python3, rcs, ${misc:Depends}
Suggests: sccs
Description: single-file and single-user revision control system
 This package provides a powerful modern user interface for an RCS
 (and to some extend, SCCS) backend. It will be familiar to users
 with modern Subversion, Git, Hg experience, as well as a
 reasonable introduction to this toolset to novices.
 .
 SRC is designed to provide its strength for single-file, single-user
 version tracking. When it is overkill to make a whole directory and
 multi-file repository store (under, for example, Git or Hg), src can
 provide tracking for individual files instead.  Examples of such might
 be your ~/bin scripts, /etc files, personal notes, résumés, and any such
 file that would be awkward to contain in a wholly separate directory
 just for version control.

## simple-revision-control 1.21

=== debian/changelog ===
simple-revision-control (1.21-3) unstable; urgency=medium

  * Set architecture to "all". (Closes: #915976)

 -- Dmitry Bogatov <KAction@debian.org>  Mon, 10 Dec 2018 23:31:51 +0000

simple-revision-control (1.21-2) unstable; urgency=medium

  * Add missing build-dependency (Thanks: Jeremy Bicha)
  * wrap-and-sort -sta

 -- Dmitry Bogatov <KAction@debian.org>  Sun, 02 Dec 2018 22:57:08 +0000

simple-revision-control (1.21-1) unstable; urgency=medium

  * New upstream release
  * Update Vcs-* fields in `debian/control' due source package renaming
    (see #881896)

 -- Dmitry Bogatov <KAction@debian.org>  Sat, 01 Dec 2018 21:27:42 +0000

=== debian/control ===
--- 
+++ 
@@ -2,19 +2,25 @@
 Section: vcs
 Priority: optional
 Maintainer: Dmitry Bogatov <KAction@debian.org>
-Build-Depends: debhelper-compat (= 11),
+Build-Depends:
  asciidoc,
+ debhelper-compat (= 11),
+ docbook-xml,
+ docbook-xsl,
  xsltproc,
- docbook-xml
 Standards-Version: 4.2.1
 Homepage: https://gitlab.com/esr/src
-Vcs-Browser: https://salsa.debian.org/debian/src
-Vcs-Git: https://salsa.debian.org/debian/src.git
+Vcs-Browser: https://salsa.debian.org/debian/simple-revision-control
+Vcs-Git: https://salsa.debian.org/debian/simple-revision-control.git
 
 Package: simple-revision-control
-Architecture: any
-Depends: python3, rcs, ${misc:Depends}
-Suggests: sccs
+Architecture: all
+Depends:
+ python3,
+ rcs,
+ ${misc:Depends},
+Suggests:
+ sccs,
 Description: single-file and single-user revision control system
  This package provides a powerful modern user interface for an RCS
  (and to some extend, SCCS) backend. It will be familiar to users

## simple-revision-control 1.23

=== Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 VERS=$(shell ./src version | sed -n -e "/src: /s///p")
 
-SOURCES = README INSTALL COPYING NEWS TODO src srctest src.asc FAQ.asc Makefile control
+SOURCES = README INSTALL COPYING NEWS TODO src srctest src.adoc FAQ.adoc Makefile control
 
 all: src.1
 
@@ -19,17 +19,17 @@
 	./srctest -b rcs -p python3
 	./srctest -b sccs -p python3
 
-.SUFFIXES: .html .asc .txt .1
+.SUFFIXES: .html .adoc .txt .1
 
 # Requires asciidoc and xsltproc/docbook stylesheets.
-.asc.1:
+.adoc.1:
 	a2x --doctype manpage --format manpage $<
-.asc.html:
+.adoc.html:
 	a2x --doctype manpage --format xhtml -D . $<
 	rm -f docbook-xsl.css
 
-FAQ.html: FAQ.asc
-	asciidoc -a toc FAQ.asc
+FAQ.html: FAQ.adoc
+	asciidoc -a toc FAQ.adoc
 
 clean:
 	rm -f  *~ *.1 *.html *.tar.gz MANIFEST

=== debian/changelog ===
simple-revision-control (1.23-1) unstable; urgency=medium

  * New upstream release
  * Bump standards version, no changes required.

 -- Dmitry Bogatov <KAction@debian.org>  Fri, 08 Feb 2019 02:45:37 +0000

## simple-revision-control 1.24

=== debian/changelog ===
simple-revision-control (1.24-1) unstable; urgency=medium

  * New upstream release

 -- Dmitry Bogatov <KAction@debian.org>  Wed, 13 Feb 2019 17:39:23 +0000

## simple-revision-control 1.26

=== Makefile ===
--- 
+++ 
@@ -19,7 +19,7 @@
 	./srctest -b rcs -p python3
 	./srctest -b sccs -p python3
 
-.SUFFIXES: .html .adoc .txt .1
+.SUFFIXES: .html .adoc .1
 
 # Requires asciidoc and xsltproc/docbook stylesheets.
 .adoc.1:

=== debian/changelog ===
simple-revision-control (1.26-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Bogatov <KAction@debian.org>  Fri, 16 Aug 2019 07:40:43 +0000

simple-revision-control (1.26-1) experimental; urgency=medium

  * New upstream release

 -- Dmitry Bogatov <KAction@debian.org>  Sun, 02 Jun 2019 06:20:32 +0000

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  docbook-xml,
  docbook-xsl,
  xsltproc,
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Homepage: https://gitlab.com/esr/src
 Vcs-Browser: https://salsa.debian.org/debian/simple-revision-control
 Vcs-Git: https://salsa.debian.org/debian/simple-revision-control.git

=== debian/rules ===
#!/usr/bin/make -f
export prefix=/usr
DESTDIR=debian/simple-revision-control

%:
	dh $@
override_dh_installchangelogs:
	dh_installchangelogs NEWS
override_dh_auto_install:
	dh_auto_install
	sed -i '1s:.*:#!/usr/bin/python3:' $(DESTDIR)/usr/bin/src
	# I have rather vague understanding, what `master_encoding' is,
	# but using any encoding but "utf-8" looks suspicios. Actually,
	# with master_encoding, provided by upstream, I get garbled
	# output when trying to write commit message in non-english
	# language. Hope it will not break anything else.
	sed -i '/^master_encoding/s:.*:master_encoding = "utf-8":' \
	  $(DESTDIR)/usr/bin/src

# Test suite requires working git installation, with user.email and
# user.name set. It is quite complicated to set up on buildd.
override_dh_auto_test:

=== debian/watch ===
version=4
http://catb.org/esr/src/ \
  .*/src-([.0-9]+).tar.gz

## simple-revision-control 1.29

=== Makefile ===
--- 
+++ 
@@ -8,16 +8,16 @@
 
 VERS=$(shell ./src version | sed -n -e "/src: /s///p")
 
-SOURCES = README INSTALL COPYING NEWS TODO src srctest src.adoc FAQ.adoc Makefile control
+SOURCES = README INSTALL COPYING NEWS TODO src srctest tapview src.adoc FAQ.adoc Makefile control
+
+TAPCONSUMER=./tapview
 
 all: src.1
 
+# To see the raw TAP output, run "make TAPCONSUMER=cat check"
 check: pylint
 	make pylint
-	./srctest -b rcs -p python2
-	./srctest -b sccs -p python2
-	./srctest -b rcs -p python3
-	./srctest -b sccs -p python3
+	./srctest | $(TAPCONSUMER)
 
 .SUFFIXES: .html .adoc .1
 
@@ -44,9 +44,8 @@
 COMMON_PYLINT = --rcfile=/dev/null --reports=n \
 	--msg-template="{path}:{line}: [{msg_id}({symbol}), {obj}] {msg}" \
 	--dummy-variables-rgx='^_'
-PYLINTOPTS = "C0103,C0123,C0301,C0302,C0325,C0326,C0330,C0410,C1001,C0111,R0101,R0902,R0903,R0904,R0201,R0912,R0913,R0914,R0915,R1705,W0110,W0141,W0142,W0232,W0311,W0312,W0603,W0511,W0613,E1101,E1103"
 pylint:
-	@pylint $(COMMON_PYLINT) --disable=$(PYLINTOPTS) src
+	@pylint $(COMMON_PYLINT) src
 
 version:
 	@echo $(VERS)

=== debian/changelog ===
simple-revision-control (1.29-1) unstable; urgency=medium

  * New maintainer (Closes: #983803)
  * New upstream release

 -- Fukui Daichi <a.dog.will.talk@akane.waseda.jp>  Mon, 21 Mar 2022 13:15:22 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: simple-revision-control
 Section: vcs
 Priority: optional
-Maintainer: Dmitry Bogatov <KAction@debian.org>
+Maintainer: Fukui Daichi <a.dog.will.talk@akane.waseda.jp>
 Build-Depends:
  asciidoc,
  debhelper-compat (= 11),

## simple-revision-control 1.33

=== Makefile ===
# Makefile for src
#
# SPDX-FileCopyrightText: Copyright Eric S. Raymond <esr@thyrsus.com>
# SPDX-License-Identifier: BSD-2-Clause

prefix?=/usr/local
mandir?=/share/man
target=$(DESTDIR)$(prefix)

VERS=$(shell ./src version | sed -n -e "/src: /s///p")

SOURCES = README.adoc INSTALL.adoc COPYING NEWS.adoc TODO.adoc src srctest tapview src.adoc FAQ.adoc Makefile control

all: src.1

check: pylint shellcheck
	@./srctest | ./tapview

coverage:
	@./srctest -c coverage-data | ./tapview
	@coverage report --data-file=coverage-data | grep src
	@coverage html --data-file=coverage-data

.SUFFIXES: .html .adoc .1

# Requires asciidoc and xsltproc/docbook stylesheets.
.adoc.1:
	a2x --doctype manpage --format manpage $<
.adoc.html:
	a2x --doctype manpage --format xhtml -D . $<
	rm -f docbook-xsl.css

FAQ.html: FAQ.adoc
	asciidoc -a toc FAQ.adoc

clean:
	rm -f  *~ *.1 *.html *.tar.gz MANIFEST coverage-data
	rm -fr .rs* typescript test/typescript htmlconv

src-$(VERS).tar.gz: $(SOURCES) src.1
	@ls $(SOURCES) src.1 | sed s:^:src-$(VERS)/: >MANIFEST
	@(cd ..; ln -s src src-$(VERS))
	(cd ..; tar -czf src/src-$(VERS).tar.gz `cat src/MANIFEST`)
	@(cd ..; rm src-$(VERS))

pylint:
	@pylint --score=n src

shellcheck:
	@-shellcheck -s sh -f gcc srctest

version:
	@echo $(VERS)

fixme:
	@if command -v rg >/dev/null; then \
		rg --no-heading FIX''ME; \
	else \
		find . -type f -exec grep -n FIX''ME {} /dev/null \; | grep -v "[.]git"; \
	fi

dist: src-$(VERS).tar.gz

release: src-$(VERS).tar.gz src.html FAQ.html
	shipper version=$(VERS) | sh -e -x

refresh: src.html FAQ.html
	shipper -N -w version=$(VERS) | sh -e -x

install: all
	install -d "$(target)/bin"
	install -d "$(target)$(mandir)/man1"
	install src "$(target)/bin"
	install -m644 src.1 "$(target)$(mandir)/man1"

uninstall:
	rm "$(target)/bin/src" "$(target)$(mandir)/man1/src.1"

=== debian/changelog ===
simple-revision-control (1.33-1) unstable; urgency=medium

  * New upstream version 1.33 (Closes: #1053587)
  * d/control: Set new maintainer
  * d/control: Update dh compat version
  * d/control: Add Rules-Requires-Root field no
  * d/copyright: Add more authors
  * d/rules: Adapt to file name change
  * d/watch: Update url to source
  * d/control: Update standards version

 -- Fukui Daichi <a.dog.will.talk@akane.waseda.jp>  Sun, 18 Feb 2024 04:26:30 +0000

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,15 @@
 Maintainer: Fukui Daichi <a.dog.will.talk@akane.waseda.jp>
 Build-Depends:
  asciidoc,
- debhelper-compat (= 11),
+ debhelper-compat (= 13),
  docbook-xml,
  docbook-xsl,
  xsltproc,
-Standards-Version: 4.3.0
+Standards-Version: 4.6.2
 Homepage: https://gitlab.com/esr/src
 Vcs-Browser: https://salsa.debian.org/debian/simple-revision-control
 Vcs-Git: https://salsa.debian.org/debian/simple-revision-control.git
+Rules-Requires-Root: no
 
 Package: simple-revision-control
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 %:
 	dh $@
 override_dh_installchangelogs:
-	dh_installchangelogs NEWS
+	dh_installchangelogs NEWS.adoc
 override_dh_auto_install:
 	dh_auto_install
 	sed -i '1s:.*:#!/usr/bin/python3:' $(DESTDIR)/usr/bin/src

=== debian/watch ===
version=4
opts=filenamemangle=s/.*?\/(\d\S+)\/archive\.tar\.gz/src-$1\.tar\.gz/ \
 https://gitlab.com/esr/src/-/tags .*(\d\S+)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

## simple-revision-control 1.41

=== Makefile ===
--- 
+++ 
@@ -9,7 +9,8 @@
 
 VERS=$(shell ./src version | sed -n -e "/src: /s///p")
 
-SOURCES = README.adoc INSTALL.adoc COPYING NEWS.adoc TODO.adoc src srctest tapview src.adoc FAQ.adoc Makefile control
+SOURCES = src srctest tapview Makefile control
+DOCS = README.adoc INSTALL.adoc COPYING NEWS.adoc TODO.adoc src.adoc FAQ.adoc local.dic
 
 all: src.1
 
@@ -21,24 +22,29 @@
 	@coverage report --data-file=coverage-data | grep src
 	@coverage html --data-file=coverage-data
 
+# Note: to suppress the footers with timestamps being generated in HTML,
+# we use "-a nofooter".
+# To debug asciidoc problems, you may need to run "xmllint --nonet --noout --valid"
+# on the intermediate XML that throws an error.
 .SUFFIXES: .html .adoc .1
 
-# Requires asciidoc and xsltproc/docbook stylesheets.
 .adoc.1:
-	a2x --doctype manpage --format manpage $<
+	asciidoctor -D. -a nofooter -b manpage $<
 .adoc.html:
-	a2x --doctype manpage --format xhtml -D . $<
-	rm -f docbook-xsl.css
+	asciidoctor -D. -a nofooter -a webfonts! $<
 
 FAQ.html: FAQ.adoc
-	asciidoc -a toc FAQ.adoc
+	asciidoctor -a toc FAQ.adoc
+
+spellcheck: *.adoc
+	batchspell local.dic *.adoc
 
 clean:
 	rm -f  *~ *.1 *.html *.tar.gz MANIFEST coverage-data
 	rm -fr .rs* typescript test/typescript htmlconv
 
-src-$(VERS).tar.gz: $(SOURCES) src.1
-	@ls $(SOURCES) src.1 | sed s:^:src-$(VERS)/: >MANIFEST
+src-$(VERS).tar.gz: $(SOURCES) $(DOCS) src.1
+	@ls $(SOURCES) $(DOCS) src.1 | sed s:^:src-$(VERS)/: >MANIFEST
 	@(cd ..; ln -s src src-$(VERS))
 	(cd ..; tar -czf src/src-$(VERS).tar.gz `cat src/MANIFEST`)
 	@(cd ..; rm src-$(VERS))
@@ -49,9 +55,6 @@
 shellcheck:
 	@-shellcheck -s sh -f gcc srctest
 
-version:
-	@echo $(VERS)
-
 fixme:
 	@if command -v rg >/dev/null; then \
 		rg --no-heading FIX''ME; \
@@ -61,10 +64,17 @@
 
 dist: src-$(VERS).tar.gz
 
+NEWSVERSION=$(shell sed -n <NEWS.adoc '/^[0-9]/s/:.*//p' | head -1)
+
+version:
+	@echo "Internal version:" $(VERS) "NEWS file version:" $(NEWSVERSION)
+
 release: src-$(VERS).tar.gz src.html FAQ.html
+	@[ $(VERS) = $(NEWSVERSION) ] || { echo "Version mismatch!"; exit 1; }
 	shipper version=$(VERS) | sh -e -x
 
 refresh: src.html FAQ.html
+	@[ $(VERS) = $(NEWSVERSION) ] || { echo "Version mismatch!"; exit 1; }
 	shipper -N -w version=$(VERS) | sh -e -x
 
 install: all

=== debian/changelog ===
simple-revision-control (1.41-1) unstable; urgency=medium

  * d/watch: Adapt to changed tag order
  * New upstream version 1.41
  * d/control: Build-Depend on asciidoctor
  * d/copyright: Update copyright year for debian
  * Bump standards version to 4.7.2, no changes required.

 -- Fukui Daichi <a.dog.will.talk@akane.waseda.jp>  Fri, 02 May 2025 16:42:10 +0000

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,8 @@
  docbook-xml,
  docbook-xsl,
  xsltproc,
-Standards-Version: 4.6.2
+ asciidoctor,
+Standards-Version: 4.7.2
 Homepage: https://gitlab.com/esr/src
 Vcs-Browser: https://salsa.debian.org/debian/simple-revision-control
 Vcs-Git: https://salsa.debian.org/debian/simple-revision-control.git

=== debian/watch ===
version=4
opts="searchmode=plain" \
 https://gitlab.com/esr/src/tags?sort=updated_desc -/archive/v?\d[\d.]+/src-@ANY_VERSION@@ARCHIVE_EXT@
